ComponentJoin (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Class ComponentJoin

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlNode
                      org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.internal.ast.tree.FromElement
                              org.hibernate.hql.internal.ast.tree.ComponentJoin

All Implemented Interfaces:
  antlr.collections.AST, Serializable, DisplayableNode, InitializeableNode, ParameterContainer

    public class ComponentJoin

extends FromElement

Models an explicit join terminating at a component value (e.g. `... from Person p join p.name as n ...`)

See Also:
  Serialized Form

Nested Class Summary
`class` | `ComponentJoin.ComponentFromElementType`

Field Summary

Fields inherited from class org.hibernate.hql.internal.ast.tree.FromElement
`DISCRIMINATOR_PROPERTY_NAME`

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`ComponentJoin(FromClause fromClause, FromElement origin, String alias, String componentPath, ComponentType componentType)`

Method Summary
`protected PropertyMapping` | `getBasePropertyMapping()`
`String` | `getComponentPath()`
`String` | `getComponentProperty()`
`ComponentType` | `getComponentType()`
`Type` | `getDataType()`
`String` | `getDisplayText()` Returns additional display text for the AST node.
`String` | `getIdentityColumn()`
`String[]` | `getIdentityColumns()`

Methods inherited from class org.hibernate.hql.internal.ast.tree.FromElement
`addEmbeddedParameter, appendDisplayText, equals, getClassAlias, getClassName, getCollectionSuffix, getCollectionTableAlias, getDestinations, getEmbeddedParameters, getEntityPersister, getFromClause, getIndexCollectionSelectorParamSpec, getJoinSequence, getOrigin, getPropertyMapping, getPropertyType, getQueryable, getQueryableCollection, getRealOrigin, getSelectType, getSequence, getTableAlias, getTypeDiscriminatorMetadata, getWithClauseFragment, getWithClauseJoinAlias, handlePropertyBeingDereferenced, hasCacheablePersister, hasEmbeddedParameters, hashCode, initializeCollection, initializeComponentJoin, initializeEntity, inProjectionList, isAllPropertyFetch, isCollectionJoin, isCollectionOfValuesOrComponents, isDereferencedBySubclassProperty, isDereferencedBySuperclassOrSubclassProperty, isDereferencedBySuperclassProperty, isEntity, isFetch, isFilter, isFromOrJoinFragment, isImplied, isImpliedInFromClause, isIncludeSubclasses, isManyToMany, setAllPropertyFetch, setCollectionJoin, setCollectionSuffix, setCollectionTableAlias, setColumns, setFetch, setFilter, setImpliedInFromClause, setIncludeSubclasses, setIndexCollectionSelectorParamSpec, setInProjectionList, setJoinSequence, setOrigin, setQueryableCollection, setRole, setUseFromFragment, setUseWhereFragment, setWithClauseFragment, toColumns, toColumns, useFromFragment, useWhereFragment`

Methods inherited from class org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.internal.ast.tree.SqlNode
`getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.hql.internal.ast.tree.ParameterContainer
`setText`

Constructor Detail

### ComponentJoin

    public ComponentJoin(FromClause fromClause,
                         FromElement origin,
                         String alias,
                         String componentPath,
                         ComponentType componentType)

Method Detail

### getComponentPath

    public String getComponentPath()

### getComponentProperty

    public String getComponentProperty()

### getComponentType

    public ComponentType getComponentType()

### getDataType

    public Type getDataType()

  Overrides:
    `getDataType` in class `FromElement`

### getIdentityColumn

    public String getIdentityColumn()

  Overrides:
    `getIdentityColumn` in class `FromElement`

### getIdentityColumns

    public String[] getIdentityColumns()

  Overrides:
    `getIdentityColumns` in class `FromElement`

### getDisplayText

    public String getDisplayText()

  Description copied from class: `FromElement`
  Returns additional display text for the AST node.

  Specified by:
    `getDisplayText` in interface `DisplayableNode`
  Overrides:
    `getDisplayText` in class `FromElement`
  Returns:
    String - The additional display text.

### getBasePropertyMapping

    protected PropertyMapping getBasePropertyMapping()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.